gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.Visual

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Visual = Visual (ManagedPtr Visual)
- noVisual :: Maybe Visual

# Exported types

newtype Visual Source #

Memory-managed wrapper type.

Constructors

Visual (ManagedPtr Visual) |

Instances

WrappedPtr Visual Source # |
Instance details Defined in GI.Xlib.Structs.Visual Methods wrappedPtrCalloc :: IO (Ptr Visual) Source # wrappedPtrCopy :: Visual -> IO Visual Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Visual -> IO ())) Source #

noVisual :: Maybe Visual Source #

A convenience alias for `Nothing` :: `Maybe` `Visual`.